com.dlsc.flexgantt.swing

## Enum PagingControlType

- java.lang.Object
- - java.lang.Enum<PagingControlType>
  - - com.dlsc.flexgantt.swing.PagingControlType

- All Implemented Interfaces:
    Serializable, Comparable<PagingControlType>

      public enum PagingControlType
      extends Enum<PagingControlType>

  An enumeration of possible paging operations.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEGINNING` Used for the 'page to the beginning' button.
    `CUSTOM` Used for the 'set a custom time span' button.
    `EARLIER` Used for the 'page to earlier time span' button.
    `END` Used for the 'page to the end' button.
    `LATER` Used for the 'page to later time span' button.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PagingControlType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PagingControlType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEGINNING

          public static final PagingControlType BEGINNING

      Used for the 'page to the beginning' button.
      Since:
        1.0

    - #### EARLIER

          public static final PagingControlType EARLIER

      Used for the 'page to earlier time span' button.
      Since:
        1.0

    - #### CUSTOM

          public static final PagingControlType CUSTOM

      Used for the 'set a custom time span' button.
      Since:
        1.0

    - #### LATER

          public static final PagingControlType LATER

      Used for the 'page to later time span' button.
      Since:
        1.0

    - #### END

          public static final PagingControlType END

      Used for the 'page to the end' button.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static PagingControlType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PagingControlType c : PagingControlType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PagingControlType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.